from django.db import models

# Create your models here.
class Author(models.Model):
    name = models.CharField(max_length=200)
    title = models.CharField(max_length=200, blank=True, default="")
    url = models.URLField(null=True, blank=True, default="")
    def __str__(self):
        return "{} {}".format(self.title, self.name)


class Article(models.Model):
    author = models.ForeignKey(Author)
    title = models.CharField(max_length=200)
    text = models.TextField()

    def __str__(self):
        return self.title

